> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Delete a rule

`DELETE https://app.pagerduty.com/integration-jira-service/rules/{id}`

Delete an existing rule.

> ### Action required!
>
>  Make sure that all required PagerDuty and Jira webhooks are present. You can do this by clicking **Check webhooks** button on the *Rules* page of the PagerDuty Jira application

## Authorization

- **BearerToken** (http) — HTTP bearer. PagerDuty OAuth user Access Token The developer should obtain a valid user-based bearer token by performing Classic User OAuth by following our public documentation: https://developer.pagerduty.com/docs/b2a19cce2867a-classic-user-o-auth

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `x-pagerduty-jira-signature` | string | yes | Connected Jira instance signature token This header contains a signature token that validates the connection between PagerDuty and a specific Jira instance. It must be included in all API requests. > ### Obtaining the signature token > > 1. Send an authenticated GET request to your Jira instance: `GET /plugins/servlet/pagerduty/sign` > > 2. The endpoint returns a JSON response containing the signature: `{ "signature": "eyJ0eXAiOiJK..." }` > > 3. Use the returned signature value in the x-pagerduty-jira-signature header for all subsequent API calls. Note: Signature token is valid for 15 minutes after generation. |

## Response 204

The rule was deleted successfully.

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object | yes |  |
| `error.message` | string | yes | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

Example: Authorization Error

```json
{
  "error": {
    "message": "Authorization error"
  }
}
```

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
